#   Make file for Turbo Assembler
#   Copyright (c) 1996 by Borland International, Inc.
#       make -B                 Will build the release version
#       make -B -DDEBUG         Will build the debug version

NAME      = SINFO
OBJS      = sinfo.obj sioutput.obj ihelp.obj iscreen.obj \
            compinfo.obj vidinfo.obj meminfo.obj diskinfo.obj \
            cdinfo.obj othrinfo.obj \
            stdlib.obj system.obj graph.obj graph12.obj graphhi.obj \
            cpuid.obj sb.obj

!if $d(DEBUG)
TASMDEBUG=/zi
LINKDEBUG=/v /s
!else
TASMDEBUG=/m /q /t
LINKDEBUG=/x
!endif


$(NAME).COM: $(OBJS)
  tlink /t $(LINKDEBUG) @&&|
sinfo.obj+
sioutput.obj+
ihelp.obj+
iscreen.obj+
compinfo.obj+
vidinfo.obj+
meminfo.obj+
diskinfo.obj+
cdinfo.obj+
othrinfo.obj+
stdlib.obj+
system.obj+
graph.obj+
graph12.obj+
graphhi.obj+
cpuid.obj+
sb.obj
|, $(NAME)
  pklite $(NAME).COM
  @if exist *.obj del *.obj
  @if exist *.lst del *.lst
  @if exist *.res del *.res
  @if exist *.map del *.map
  @if exist *.tr2 del *.tr2
  @if exist *.td2 del *.td2

.asm.obj:
  tasm /ml $(TASMDEBUG) $&.asm
